/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.exception;
import org.objectweb.jonas.jtests.beans.beanexc.AccountS;
import org.objectweb.jonas.jtests.beans.beanexc.AccountSHome;

abstract public class A_CatcherSession extends A_Catcher {

   public A_CatcherSession(String name) {
	super(name);
    }

    /**
     * return an AccountS
     */
    public AccountS getAccountS(int i) {
        AccountS acs = null;
        try {
            acs = getHome().create();
        } catch (Exception e) {
            // should never occurs if the test is well written
            fail("Exception in getAccountS: "+e);
        }
        return acs;
    }

    /**
     * return AccontSLHome.
     */
    public abstract AccountSHome getHome();
}
